# xmpp-qbittorrent-bot

## Introduction
A bot designed for XMPP MUCs that queries a qbittorrent WebUI API. 

## Configuration
Copy config.conf.template to config.conf, and fill out the fields

| Key           | Value                            |
|---------------|----------------------------------|
| qb\_jid        | JID that the bot should log into |
| qb\_pass | Password for the JID                  |
| qb\_muc | The MUC the bot should connect to |
| qb\_nick | The nickname in the MUC the bot should have |
| api\_url | The base url for the qbittorrent WebUI API |
| api\_user | The username for the qbittorrent WebUI account |
| api\_pass | The password for the qbittorrent WebUI account |

## Starting

### Native
python3 bot.py

### Docker/Podman
`{docker,podman}-compose up`
